.zabky-scroll {
  position: absolute;
  top: 6%;
  left: 4%;
  right: 4%;
  bottom: 6%;
  z-index: 10;

  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 18px;

  overflow-y: auto;
  overflow-x: hidden;

  padding: 20px;
  box-sizing: border-box;

  align-content: start;
}

.zabka-card {
  width: 100%;
  cursor: pointer;

  transition:
    transform 0.25s ease,
    filter 0.25s ease;
}

.zabka-card:hover {
  transform: scale(1.12);
  filter: drop-shadow(0 0 16px rgba(255, 230, 120, 0.95));
}

.zabka-card img {
  width: 100%;
  display: block;
}

.zabky-home {
  width: 150px;
  margin: 20px auto 0;
  cursor: pointer;
  transition: transform 0.25s ease, filter 0.25s ease;
}

.zabky-home:hover {
  transform: scale(1.08);
  filter: drop-shadow(0 0 16px rgba(255, 230, 120, 0.95));
}

.zabky-home img {
  width: 100%;
  display: block;
}

@media (max-width: 768px) {
  .zabky-scroll {
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    padding: 10px;
  }

  .zabka-card img {
    transform: scale(1.08);
  }
}